%define version 2.4.3
%define release 3mdk

# used to indicate difference between new/old dictionary formats
%define dict_format_version 2.4.2

Summary:	StarDict is an international dictionary written for GNOME
Name:		stardict
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Text tools
URL:		http://stardict.sourceforge.net/
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

Source:		ftp://download.sourceforge.net/pub/sourceforge/%{name}/%{name}-%{version}.tar.bz2
Patch0:		%{name}-2.4.2-langcode.patch.bz2
Patch1:		%{name}-2.4.3-no-disable-deprecated.patch.bz2

BuildRequires:	libgnomeui2-devel >= 2.2.0
BuildRequires:	ImageMagick
BuildRequires:	scrollkeeper
Requires:	stardict-dictionary = %{dict_format_version}
Conflicts:	stardict-dictionary < %{dict_format_version}
Conflicts:	stardict-dictionary > %{dict_format_version}
Prereq:		GConf2 >= 2.3.3
Prereq:		scrollkeeper

# patch
BuildRequires:	automake1.7
BuildRequires:	intltool

%description
StarDict is an international dictionary written for the GNOME environment.
It has evolved from Motif/Lesstif based Chinese dictionary, into a full
featured international dictionary written in GTK+. Here are some of its
features:

- Instantly popup word definition when word is selected on screen
- Wildcard search ( e.g. "wo?d*" )
- Fuzzy query
- Dock into notification area
- Find text in word definition
- Many dictionaries available, including freedict, *quick, xdict,
  dict.org dictionaries

%prep
%setup -q
%patch0 -p1 -b .langcode
%patch1 -p1 -b .deprecated

# needed by patch1
AUTOMAKE=automake-1.7 ACLOCAL=aclocal-1.7 autoreconf --force

%build
%configure2_5x --disable-schemas-install
%make

%install
rm -rf %{buildroot}
GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 %makeinstall_std

# icons
mkdir -p %{buildroot}%{_iconsdir} \
	 %{buildroot}%{_miconsdir}

install -m 0644 -D      pixmaps/stardict.png %{buildroot}%{_liconsdir}/%{name}.png
convert -geometry 32x32 pixmaps/stardict.png %{buildroot}%{_iconsdir}/%{name}.png
convert -geometry 16x16 pixmaps/stardict.png %{buildroot}%{_miconsdir}/%{name}.png

# menu
install -m 755 -d %{buildroot}%{_menudir}
cat > %{buildroot}%{_menudir}/%{name} << EOF
?package(%{name}): \
 command="%{_bindir}/%{name}" \
 needs="x11" \
 section="Office/Accessories" \
 title="Stardict" \
 longtitle="GUI international dictionary" \
 icon="%{name}.png"
EOF

# own various directories
mkdir -p %{buildroot}%{_datadir}/stardict/dic	\
	 %{buildroot}%{_datadir}/stardict/treedict

%find_lang %{name} --with-gnome

%clean
rm -rf %{buildroot}

%post
%update_menus
if [ -x %{_bindir}/scrollkeeper-update ]; then %{_bindir}/scrollkeeper-update -q; fi
GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source` gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/stardict.schemas > /dev/null

%preun
if [ "$1" = "0" ] ; then
GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source` gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gconf/schemas/stardict.schemas > /dev/null
fi

%postun
%clean_menus
if [ -x %{_bindir}/scrollkeeper-update ]; then %{_bindir}/scrollkeeper-update -q; fi

%files -f %{name}.lang
%defattr(-,root,root)
%{_sysconfdir}/gconf/schemas/*.schemas
%{_bindir}/*
%{_datadir}/applications/*.desktop
%{_datadir}/idl/*.idl
%{_datadir}/omf/*
%{_datadir}/pixmaps/*
%{_datadir}/%{name}
%{_libdir}/bonobo/servers/*.server
%{_mandir}/man?/*

%{_menudir}/%{name}
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_miconsdir}/%{name}.png


%changelog
* Fri Jun  4 2004 Abel Cheung <deaddog@mandrakesoft.com> 2.4.3-3mdk
- Rebuild with new gcc

* Sun May 23 2004 Abel Cheung <deaddog@deaddog.org> 2.4.3-2mdk
- Fix (build)requires and regeneration of auto* files

* Wed Apr 28 2004 Abel Cheung <deaddog@deaddog.org> 2.4.3-1mdk
- New version
- Patch1: Remove *_DISABLE_DEPRECATED compile flag, stardict still
  using obsolete features in gtk+ 2.2

* Wed Feb 18 2004 David Baudens <baudens@mandrakesoft.com> 2.4.2-5mdk
- Fix again menu: move in Office/Accessories, where it should be and where it
  should stay

* Sun Feb 15 2004 Abel Cheung <deaddog@deaddog.org> 2.4.2-4mdk
- Revert wrong menu

* Fri Feb 13 2004 David Baudens <baudens@mandrakesoft.com> 2.4.2-3mdk
- Fix menu

* Sun Nov 30 2003 Abel Cheung <deaddog@deaddog.org> 2.4.2-2mdk
- Fix zh_CN help document language code (should be zh-cn)

* Mon Nov 17 2003 Abel Cheung <deaddog@deaddog.org> 2.4.2-1mdk
- 2.4.2
- dictionary changed format, use Requires/Conflicts to reflect this

* Thu Oct 16 2003 Abel Cheung <deaddog@deaddog.org> 2.4.1-1mdk
- 2.4.1
- Remove patch0 (no more necessary)
- Fix group
- Generate help file in %%post instead

* Fri Aug 22 2003 Abel Cheung <maddog@linux.org.hk> 2.2.1-2mdk
- Write summary and description
- Require at least one dictionary (Thanks Funda Wang)
- BuildRequires scrollkeeper

* Mon Aug 04 2003 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 2.2.1-1mdk
- minor spec fixes
- from Abel Cheung <maddog@linux.org.hk> 2.2.1-1mdk:
	o 2.2.1 (GNOME 2 based)
	o Spec file revamp
	o Remove all obsolete sources and patches
	o Patch0: Spartan fix for gcc >= 3.2 (pre-include libintl.h)
	o don't let c++ headers to do the job)

* Mon Jul 14 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 1.31-5mdk
- fix gcc-3.3 build (P1)
- compile with $RPM_OPT_FLAGS
- cosmetics

* Tue Oct 29 2002 Stefan van der Eijk <stefan@eijk.nu> 1.31-4mdk
- BuildRequires: XFree86-devel lesstif-devel

* Thu Aug 22 2002 David BAUDENS <baudens@mandrakesoft.com> 1.31-3mdk
- Fix menu entry

* Tue Jul 23 2002 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.31-2mdk
- General cleanup.

P
* Tue Jul 23 2002 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.31-1mdk
- No suid anymore.

* Mon Oct 22 2001 Andrew Lee <andrew@linux.org.tw>
- Rebuild on Mandrake Linux 8.0
- Requires: lesstif
- Buildrequires: lesstif-devel
- add menu entry

* Wed Aug 29 2001 Chung-Yen Chang <candyz@kandix.idv.tw>
- rebuild in roswell

* Fri Sep  8 2000 Andrew Lee <andrew@linux.org.tw>
- modify cosix's dic package
- update to 1.31
